Bug 1328853 - nautilus-python: Provide a Python 3 subpackage
Summary: nautilus-python: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1607043 (view as bug list)
Depends On:
Blocks: PYTHON3-UPSTREAM
TreeView+ depends on / blocked
 
Reported: 2016-04-20 12:24 UTC by Tomas Orsava
Modified: 2018-10-06 06:41 UTC (History)
4 users (show)

Fixed In Version: nautilus-python-1.2.1-3.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 23:24:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1636626 None None None Never

Internal Links: 1636626

Description Tomas Orsava 2016-04-20 12:24:03 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 1 Dominika Krejčí 2016-05-06 13:37:47 UTC
Hello Patrick,

How are things going? Do you need any help adding Python 3 support to the RPM?

Comment 2 Patrick Dignan 2016-07-15 03:29:52 UTC
Hi,

I'm not sure where you're getting the information that upstream supports Python 3.  I can try to package it as such, but upstream has been inactive for about 5 years as far as I can tell.  I'll take a look at getting this working under Py3 this weekend.

Comment 3 Tomas Orsava 2016-07-15 15:01:06 UTC
Hi Patrick!
We were checking hundreds of packages by hand and it is quite possible that we have made a mistake in this case. If you are certain upstream has been inactive, I'll just close this report as NOTABUG.

I apologise!

Comment 4 Jan Beran 2018-01-11 13:57:02 UTC
Hello Patrick,

there was added a capability to compile with python 3 support [1] that has been included since version 1.2. Please, could you provide a Python 3
package for Fedora?

Thank you.

[1] https://git.gnome.org/browse/nautilus-python/commit/?id=12687a3c107c7141eaf46da7752e6b82d669f23b

Comment 5 Fedora End Of Life 2018-02-20 15:22:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Raphael Groner 2018-07-21 08:20:57 UTC
*** Bug 1607043 has been marked as a duplicate of this bug. ***

Comment 7 Raphael Groner 2018-07-21 08:22:02 UTC
I can take a look into this. Version 1.2.1 is now imported to rawhide.

Comment 8 Fedora Update System 2018-09-01 07:47:04 UTC
nautilus-python-1.2.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecde05c3c8

Comment 9 Raphael Groner 2018-09-01 07:47:54 UTC
Please let me know if updates also for other branches are requested.

Comment 10 Fedora Update System 2018-09-02 02:57:21 UTC
nautilus-python-1.2.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecde05c3c8

Comment 11 Raphael Groner 2018-09-09 09:05:21 UTC
Unpushed. There's a nasty typo with the %python3_version macro. Will fix ASAP.

Comment 12 Fedora Update System 2018-09-12 21:30:02 UTC
nautilus-python-1.2.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecde05c3c8

Comment 13 Fedora Update System 2018-09-13 05:36:20 UTC
nautilus-python-1.2.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecde05c3c8

Comment 14 Fedora Update System 2018-09-30 23:24:30 UTC
nautilus-python-1.2.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.